Request Portal Resource¶
Create Request¶
HTTP Request
POST /api/requestPortal
📋 Description: Submits a new request to the portal, enabling users to initiate workflows and track progress efficiently.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
Request body containing the portal access request details, including user information and access level specifications. |
Body Parameters
1{
2 "id": 0,
3 "createdBy": "string",
4 "createdAt": "2019-08-24T14:15:22Z",
5 "displayId": "string",
6 "description": "string",
7 "imageId": 0,
8 "premiseId": 0,
9 "premiseDto": {
10 "id": 0,
11 "createdBy": "string",
12 "createdAt": "2019-08-24T14:15:22Z",
13 "displayId": "string",
14 "premiseName": "string",
15 "description": "string",
16 "address": "string",
17 "internalTeamNames": [
18 "string"
19 ],
20 "internalTeamIds": [
21 0
22 ],
23 "premiseAvailable": true,
24 "premiseFromNrm": true,
25 "nlmId": 0,
26 "nlmDisplayId": "string",
27 "nlmUsed": true,
28 "manager": 0,
29 "managerName": "string",
30 "imageId": 0,
31 "area": "string",
32 "modifiedAt": "2019-08-24T14:15:22Z"
33 },
34 "premiseFromNrm": true,
35 "premiseDisplayId": "string",
36 "name": "string",
37 "requestPriority": "string",
38 "requestPriorityType": "string",
39 "requestPriorityId": 0,
40 "requestPriorityDisplayId": "string",
41 "requestDate": "2019-08-24",
42 "modifiedAt": "2019-08-24T14:15:22Z",
43 "requestCategory": "string",
44 "requestCategoryId": 0,
45 "requestCategoryDisplayId": "string",
46 "requestStatus": "string",
47 "requestStatusType": "string",
48 "requestStatusId": 0,
49 "requestStatusDisplayId": "string",
50 "mainAssetIds": [
51 0
52 ],
53 "mainAssetId": 0,
54 "mainAssetDto": {
55 "id": 0,
56 "createdBy": "string",
57 "createdAt": "2019-08-24T14:15:22Z",
58 "displayId": "string",
59 "name": "string",
60 "description": "string",
61 "qrCode": "string",
62 "barCode": "string",
63 "imageId": 0,
64 "model": "string",
65 "manufacturer": "string",
66 "serialNumber": "string",
67 "cost": "81.08",
68 "premiseId": 0,
69 "premiseDisplayId": "string",
70 "premiseDto": {
71 "id": 0,
72 "createdBy": "string",
73 "createdAt": "2019-08-24T14:15:22Z",
74 "displayId": "string",
75 "premiseName": "string",
76 "description": "string",
77 "address": "string",
78 "internalTeamNames": [
79 "string"
80 ],
81 "internalTeamIds": [
82 0
83 ],
84 "premiseAvailable": true,
85 "premiseFromNrm": true,
86 "nlmId": 0,
87 "nlmDisplayId": "string",
88 "nlmUsed": true,
89 "manager": 0,
90 "managerName": "string",
91 "imageId": 0,
92 "area": "string",
93 "modifiedAt": "2019-08-24T14:15:22Z"
94 },
95 "acquisitionDate": "2019-08-24",
96 "endOfLife": "2019-08-24",
97 "assetStatusId": 0,
98 "assetStatus": "string",
99 "assetStatusType": "string",
100 "parentAssetId": 0,
101 "parentAssetDisplayId": "string",
102 "parentAsset": "string",
103 "parentAssetDto": {},
104 "upcomingMaintenanceDate": "2019-08-24",
105 "assetCategoryIds": [
106 0
107 ],
108 "assetCategories": [
109 "string"
110 ],
111 "internalTeamIds": [
112 0
113 ],
114 "internalTeamDtos": [
115 {
116 "id": 0,
117 "createdBy": "string",
118 "createdAt": "2019-08-24T14:15:22Z",
119 "displayId": "string",
120 "name": "string",
121 "email": "string",
122 "phone": "string",
123 "manager": "string",
124 "requestCategoryName": [
125 "string"
126 ],
127 "requestCategoryId": [
128 0
129 ],
130 "requestCategoryDisplayId": [
131 "string"
132 ],
133 "description": "string",
134 "internalTeamUser": [
135 0
136 ],
137 "members": 0,
138 "mainAssets": [
139 0
140 ],
141 "premiseNames": [
142 "string"
143 ],
144 "internalTeamAvailable": true,
145 "premiseIds": [
146 0
147 ]
148 }
149 ],
150 "internalTeams": [
151 "string"
152 ],
153 "assignedUserIds": [
154 0
155 ],
156 "assignedUserDtos": [
157 {
158 "id": 0,
159 "createdBy": "string",
160 "createdAt": "2019-08-24T14:15:22Z",
161 "userName": "string",
162 "firstName": "string",
163 "lastName": "string",
164 "email": "string",
165 "roleIds": [
166 {
167 "id": 0,
168 "createdBy": "string",
169 "createdAt": "2019-08-24T14:15:22Z",
170 "modifiedBy": "string",
171 "modifiedAt": "2019-08-24T14:15:22Z",
172 "roleName": "string",
173 "entity": "string",
174 "new": true
175 }
176 ],
177 "internalTeamNames": [
178 "string"
179 ],
180 "internalTeamIds": [
181 0
182 ],
183 "internalTeamDisplayIds": [
184 "string"
185 ],
186 "premiseIds": [
187 0
188 ],
189 "premiseNames": [
190 "string"
191 ],
192 "userAvailable": true,
193 "temporaryWorkload": 0,
194 "preferredCultureCode": "string"
195 }
196 ],
197 "assignedUsers": [
198 "string"
199 ],
200 "assetPriority": "string",
201 "assetPriorityId": 0,
202 "assetPriorityDisplayId": "string",
203 "assetPriorityType": "string",
204 "assetAvailable": true,
205 "exactPlacement": "string",
206 "fosId": 0,
207 "downtimeStatus": "string",
208 "premiseFromNrm": true,
209 "modifiedAt": "2019-08-24T14:15:22Z"
210 },
211 "mainAssetDisplayId": "string",
212 "assignedUserIds": [
213 0
214 ],
215 "assignedUserDtos": [
216 {
217 "id": 0,
218 "createdBy": "string",
219 "createdAt": "2019-08-24T14:15:22Z",
220 "userName": "string",
221 "firstName": "string",
222 "lastName": "string",
223 "email": "string",
224 "roleIds": [
225 {
226 "id": 0,
227 "createdBy": "string",
228 "createdAt": "2019-08-24T14:15:22Z",
229 "modifiedBy": "string",
230 "modifiedAt": "2019-08-24T14:15:22Z",
231 "roleName": "string",
232 "entity": "string",
233 "new": true
234 }
235 ],
236 "internalTeamNames": [
237 "string"
238 ],
239 "internalTeamIds": [
240 0
241 ],
242 "internalTeamDisplayIds": [
243 "string"
244 ],
245 "premiseIds": [
246 0
247 ],
248 "premiseNames": [
249 "string"
250 ],
251 "userAvailable": true,
252 "temporaryWorkload": 0,
253 "preferredCultureCode": "string"
254 }
255 ],
256 "assignedUsers": [
257 "string"
258 ],
259 "internalTeamIds": [
260 0
261 ],
262 "internalTeamDtos": [
263 {
264 "id": 0,
265 "createdBy": "string",
266 "createdAt": "2019-08-24T14:15:22Z",
267 "displayId": "string",
268 "name": "string",
269 "email": "string",
270 "phone": "string",
271 "manager": "string",
272 "requestCategoryName": [
273 "string"
274 ],
275 "requestCategoryId": [
276 0
277 ],
278 "requestCategoryDisplayId": [
279 "string"
280 ],
281 "description": "string",
282 "internalTeamUser": [
283 0
284 ],
285 "members": 0,
286 "mainAssets": [
287 0
288 ],
289 "premiseNames": [
290 "string"
291 ],
292 "internalTeamAvailable": true,
293 "premiseIds": [
294 0
295 ]
296 }
297 ],
298 "internalTeams": [
299 "string"
300 ],
301 "requestAvailable": true,
302 "exactPlacement": "string",
303 "requestType": "string",
304 "closeDate": "2019-08-24",
305 "requestFrom": "NFM"
306}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
201 |
Created |
Example Responses
1{
2 "id": 0,
3 "createdBy": "string",
4 "createdAt": "2019-08-24T14:15:22Z",
5 "displayId": "string",
6 "description": "string",
7 "imageId": 0,
8 "premiseId": 0,
9 "premiseDto": {
10 "id": 0,
11 "createdBy": "string",
12 "createdAt": "2019-08-24T14:15:22Z",
13 "displayId": "string",
14 "premiseName": "string",
15 "description": "string",
16 "address": "string",
17 "internalTeamNames": [
18 "string"
19 ],
20 "internalTeamIds": [
21 0
22 ],
23 "premiseAvailable": true,
24 "premiseFromNrm": true,
25 "nlmId": 0,
26 "nlmDisplayId": "string",
27 "nlmUsed": true,
28 "manager": 0,
29 "managerName": "string",
30 "imageId": 0,
31 "area": "string",
32 "modifiedAt": "2019-08-24T14:15:22Z"
33 },
34 "premiseFromNrm": true,
35 "premiseDisplayId": "string",
36 "name": "string",
37 "requestPriority": "string",
38 "requestPriorityType": "string",
39 "requestPriorityId": 0,
40 "requestPriorityDisplayId": "string",
41 "requestDate": "2019-08-24",
42 "modifiedAt": "2019-08-24T14:15:22Z",
43 "requestCategory": "string",
44 "requestCategoryId": 0,
45 "requestCategoryDisplayId": "string",
46 "requestStatus": "string",
47 "requestStatusType": "string",
48 "requestStatusId": 0,
49 "requestStatusDisplayId": "string",
50 "mainAssetIds": [
51 0
52 ],
53 "mainAssetId": 0,
54 "mainAssetDto": {
55 "id": 0,
56 "createdBy": "string",
57 "createdAt": "2019-08-24T14:15:22Z",
58 "displayId": "string",
59 "name": "string",
60 "description": "string",
61 "qrCode": "string",
62 "barCode": "string",
63 "imageId": 0,
64 "model": "string",
65 "manufacturer": "string",
66 "serialNumber": "string",
67 "cost": "81.08",
68 "premiseId": 0,
69 "premiseDisplayId": "string",
70 "premiseDto": {
71 "id": 0,
72 "createdBy": "string",
73 "createdAt": "2019-08-24T14:15:22Z",
74 "displayId": "string",
75 "premiseName": "string",
76 "description": "string",
77 "address": "string",
78 "internalTeamNames": [
79 "string"
80 ],
81 "internalTeamIds": [
82 0
83 ],
84 "premiseAvailable": true,
85 "premiseFromNrm": true,
86 "nlmId": 0,
87 "nlmDisplayId": "string",
88 "nlmUsed": true,
89 "manager": 0,
90 "managerName": "string",
91 "imageId": 0,
92 "area": "string",
93 "modifiedAt": "2019-08-24T14:15:22Z"
94 },
95 "acquisitionDate": "2019-08-24",
96 "endOfLife": "2019-08-24",
97 "assetStatusId": 0,
98 "assetStatus": "string",
99 "assetStatusType": "string",
100 "parentAssetId": 0,
101 "parentAssetDisplayId": "string",
102 "parentAsset": "string",
103 "parentAssetDto": {},
104 "upcomingMaintenanceDate": "2019-08-24",
105 "assetCategoryIds": [
106 0
107 ],
108 "assetCategories": [
109 "string"
110 ],
111 "internalTeamIds": [
112 0
113 ],
114 "internalTeamDtos": [
115 {
116 "id": 0,
117 "createdBy": "string",
118 "createdAt": "2019-08-24T14:15:22Z",
119 "displayId": "string",
120 "name": "string",
121 "email": "string",
122 "phone": "string",
123 "manager": "string",
124 "requestCategoryName": [
125 "string"
126 ],
127 "requestCategoryId": [
128 0
129 ],
130 "requestCategoryDisplayId": [
131 "string"
132 ],
133 "description": "string",
134 "internalTeamUser": [
135 0
136 ],
137 "members": 0,
138 "mainAssets": [
139 0
140 ],
141 "premiseNames": [
142 "string"
143 ],
144 "internalTeamAvailable": true,
145 "premiseIds": [
146 0
147 ]
148 }
149 ],
150 "internalTeams": [
151 "string"
152 ],
153 "assignedUserIds": [
154 0
155 ],
156 "assignedUserDtos": [
157 {
158 "id": 0,
159 "createdBy": "string",
160 "createdAt": "2019-08-24T14:15:22Z",
161 "userName": "string",
162 "firstName": "string",
163 "lastName": "string",
164 "email": "string",
165 "roleIds": [
166 {
167 "id": 0,
168 "createdBy": "string",
169 "createdAt": "2019-08-24T14:15:22Z",
170 "modifiedBy": "string",
171 "modifiedAt": "2019-08-24T14:15:22Z",
172 "roleName": "string",
173 "entity": "string",
174 "new": true
175 }
176 ],
177 "internalTeamNames": [
178 "string"
179 ],
180 "internalTeamIds": [
181 0
182 ],
183 "internalTeamDisplayIds": [
184 "string"
185 ],
186 "premiseIds": [
187 0
188 ],
189 "premiseNames": [
190 "string"
191 ],
192 "userAvailable": true,
193 "temporaryWorkload": 0,
194 "preferredCultureCode": "string"
195 }
196 ],
197 "assignedUsers": [
198 "string"
199 ],
200 "assetPriority": "string",
201 "assetPriorityId": 0,
202 "assetPriorityDisplayId": "string",
203 "assetPriorityType": "string",
204 "assetAvailable": true,
205 "exactPlacement": "string",
206 "fosId": 0,
207 "downtimeStatus": "string",
208 "premiseFromNrm": true,
209 "modifiedAt": "2019-08-24T14:15:22Z"
210 },
211 "mainAssetDisplayId": "string",
212 "assignedUserIds": [
213 0
214 ],
215 "assignedUserDtos": [
216 {
217 "id": 0,
218 "createdBy": "string",
219 "createdAt": "2019-08-24T14:15:22Z",
220 "userName": "string",
221 "firstName": "string",
222 "lastName": "string",
223 "email": "string",
224 "roleIds": [
225 {
226 "id": 0,
227 "createdBy": "string",
228 "createdAt": "2019-08-24T14:15:22Z",
229 "modifiedBy": "string",
230 "modifiedAt": "2019-08-24T14:15:22Z",
231 "roleName": "string",
232 "entity": "string",
233 "new": true
234 }
235 ],
236 "internalTeamNames": [
237 "string"
238 ],
239 "internalTeamIds": [
240 0
241 ],
242 "internalTeamDisplayIds": [
243 "string"
244 ],
245 "premiseIds": [
246 0
247 ],
248 "premiseNames": [
249 "string"
250 ],
251 "userAvailable": true,
252 "temporaryWorkload": 0,
253 "preferredCultureCode": "string"
254 }
255 ],
256 "assignedUsers": [
257 "string"
258 ],
259 "internalTeamIds": [
260 0
261 ],
262 "internalTeamDtos": [
263 {
264 "id": 0,
265 "createdBy": "string",
266 "createdAt": "2019-08-24T14:15:22Z",
267 "displayId": "string",
268 "name": "string",
269 "email": "string",
270 "phone": "string",
271 "manager": "string",
272 "requestCategoryName": [
273 "string"
274 ],
275 "requestCategoryId": [
276 0
277 ],
278 "requestCategoryDisplayId": [
279 "string"
280 ],
281 "description": "string",
282 "internalTeamUser": [
283 0
284 ],
285 "members": 0,
286 "mainAssets": [
287 0
288 ],
289 "premiseNames": [
290 "string"
291 ],
292 "internalTeamAvailable": true,
293 "premiseIds": [
294 0
295 ]
296 }
297 ],
298 "internalTeams": [
299 "string"
300 ],
301 "requestAvailable": true,
302 "exactPlacement": "string",
303 "requestType": "string",
304 "closeDate": "2019-08-24",
305 "requestFrom": "NFM"
306}
Get Request¶
HTTP Request
GET /api/requestPortal/{id}
📋 Description: Retrieves detailed information about a specific request portal identified by the unique ID, enabling users to access and review relevant data efficiently.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "id": 0,
3 "createdBy": "string",
4 "createdAt": "2019-08-24T14:15:22Z",
5 "displayId": "string",
6 "description": "string",
7 "imageId": 0,
8 "premiseId": 0,
9 "premiseDto": {
10 "id": 0,
11 "createdBy": "string",
12 "createdAt": "2019-08-24T14:15:22Z",
13 "displayId": "string",
14 "premiseName": "string",
15 "description": "string",
16 "address": "string",
17 "internalTeamNames": [
18 "string"
19 ],
20 "internalTeamIds": [
21 0
22 ],
23 "premiseAvailable": true,
24 "premiseFromNrm": true,
25 "nlmId": 0,
26 "nlmDisplayId": "string",
27 "nlmUsed": true,
28 "manager": 0,
29 "managerName": "string",
30 "imageId": 0,
31 "area": "string",
32 "modifiedAt": "2019-08-24T14:15:22Z"
33 },
34 "premiseFromNrm": true,
35 "premiseDisplayId": "string",
36 "name": "string",
37 "requestPriority": "string",
38 "requestPriorityType": "string",
39 "requestPriorityId": 0,
40 "requestPriorityDisplayId": "string",
41 "requestDate": "2019-08-24",
42 "modifiedAt": "2019-08-24T14:15:22Z",
43 "requestCategory": "string",
44 "requestCategoryId": 0,
45 "requestCategoryDisplayId": "string",
46 "requestStatus": "string",
47 "requestStatusType": "string",
48 "requestStatusId": 0,
49 "requestStatusDisplayId": "string",
50 "mainAssetIds": [
51 0
52 ],
53 "mainAssetId": 0,
54 "mainAssetDto": {
55 "id": 0,
56 "createdBy": "string",
57 "createdAt": "2019-08-24T14:15:22Z",
58 "displayId": "string",
59 "name": "string",
60 "description": "string",
61 "qrCode": "string",
62 "barCode": "string",
63 "imageId": 0,
64 "model": "string",
65 "manufacturer": "string",
66 "serialNumber": "string",
67 "cost": "81.08",
68 "premiseId": 0,
69 "premiseDisplayId": "string",
70 "premiseDto": {
71 "id": 0,
72 "createdBy": "string",
73 "createdAt": "2019-08-24T14:15:22Z",
74 "displayId": "string",
75 "premiseName": "string",
76 "description": "string",
77 "address": "string",
78 "internalTeamNames": [
79 "string"
80 ],
81 "internalTeamIds": [
82 0
83 ],
84 "premiseAvailable": true,
85 "premiseFromNrm": true,
86 "nlmId": 0,
87 "nlmDisplayId": "string",
88 "nlmUsed": true,
89 "manager": 0,
90 "managerName": "string",
91 "imageId": 0,
92 "area": "string",
93 "modifiedAt": "2019-08-24T14:15:22Z"
94 },
95 "acquisitionDate": "2019-08-24",
96 "endOfLife": "2019-08-24",
97 "assetStatusId": 0,
98 "assetStatus": "string",
99 "assetStatusType": "string",
100 "parentAssetId": 0,
101 "parentAssetDisplayId": "string",
102 "parentAsset": "string",
103 "parentAssetDto": {},
104 "upcomingMaintenanceDate": "2019-08-24",
105 "assetCategoryIds": [
106 0
107 ],
108 "assetCategories": [
109 "string"
110 ],
111 "internalTeamIds": [
112 0
113 ],
114 "internalTeamDtos": [
115 {
116 "id": 0,
117 "createdBy": "string",
118 "createdAt": "2019-08-24T14:15:22Z",
119 "displayId": "string",
120 "name": "string",
121 "email": "string",
122 "phone": "string",
123 "manager": "string",
124 "requestCategoryName": [
125 "string"
126 ],
127 "requestCategoryId": [
128 0
129 ],
130 "requestCategoryDisplayId": [
131 "string"
132 ],
133 "description": "string",
134 "internalTeamUser": [
135 0
136 ],
137 "members": 0,
138 "mainAssets": [
139 0
140 ],
141 "premiseNames": [
142 "string"
143 ],
144 "internalTeamAvailable": true,
145 "premiseIds": [
146 0
147 ]
148 }
149 ],
150 "internalTeams": [
151 "string"
152 ],
153 "assignedUserIds": [
154 0
155 ],
156 "assignedUserDtos": [
157 {
158 "id": 0,
159 "createdBy": "string",
160 "createdAt": "2019-08-24T14:15:22Z",
161 "userName": "string",
162 "firstName": "string",
163 "lastName": "string",
164 "email": "string",
165 "roleIds": [
166 {
167 "id": 0,
168 "createdBy": "string",
169 "createdAt": "2019-08-24T14:15:22Z",
170 "modifiedBy": "string",
171 "modifiedAt": "2019-08-24T14:15:22Z",
172 "roleName": "string",
173 "entity": "string",
174 "new": true
175 }
176 ],
177 "internalTeamNames": [
178 "string"
179 ],
180 "internalTeamIds": [
181 0
182 ],
183 "internalTeamDisplayIds": [
184 "string"
185 ],
186 "premiseIds": [
187 0
188 ],
189 "premiseNames": [
190 "string"
191 ],
192 "userAvailable": true,
193 "temporaryWorkload": 0,
194 "preferredCultureCode": "string"
195 }
196 ],
197 "assignedUsers": [
198 "string"
199 ],
200 "assetPriority": "string",
201 "assetPriorityId": 0,
202 "assetPriorityDisplayId": "string",
203 "assetPriorityType": "string",
204 "assetAvailable": true,
205 "exactPlacement": "string",
206 "fosId": 0,
207 "downtimeStatus": "string",
208 "premiseFromNrm": true,
209 "modifiedAt": "2019-08-24T14:15:22Z"
210 },
211 "mainAssetDisplayId": "string",
212 "assignedUserIds": [
213 0
214 ],
215 "assignedUserDtos": [
216 {
217 "id": 0,
218 "createdBy": "string",
219 "createdAt": "2019-08-24T14:15:22Z",
220 "userName": "string",
221 "firstName": "string",
222 "lastName": "string",
223 "email": "string",
224 "roleIds": [
225 {
226 "id": 0,
227 "createdBy": "string",
228 "createdAt": "2019-08-24T14:15:22Z",
229 "modifiedBy": "string",
230 "modifiedAt": "2019-08-24T14:15:22Z",
231 "roleName": "string",
232 "entity": "string",
233 "new": true
234 }
235 ],
236 "internalTeamNames": [
237 "string"
238 ],
239 "internalTeamIds": [
240 0
241 ],
242 "internalTeamDisplayIds": [
243 "string"
244 ],
245 "premiseIds": [
246 0
247 ],
248 "premiseNames": [
249 "string"
250 ],
251 "userAvailable": true,
252 "temporaryWorkload": 0,
253 "preferredCultureCode": "string"
254 }
255 ],
256 "assignedUsers": [
257 "string"
258 ],
259 "internalTeamIds": [
260 0
261 ],
262 "internalTeamDtos": [
263 {
264 "id": 0,
265 "createdBy": "string",
266 "createdAt": "2019-08-24T14:15:22Z",
267 "displayId": "string",
268 "name": "string",
269 "email": "string",
270 "phone": "string",
271 "manager": "string",
272 "requestCategoryName": [
273 "string"
274 ],
275 "requestCategoryId": [
276 0
277 ],
278 "requestCategoryDisplayId": [
279 "string"
280 ],
281 "description": "string",
282 "internalTeamUser": [
283 0
284 ],
285 "members": 0,
286 "mainAssets": [
287 0
288 ],
289 "premiseNames": [
290 "string"
291 ],
292 "internalTeamAvailable": true,
293 "premiseIds": [
294 0
295 ]
296 }
297 ],
298 "internalTeams": [
299 "string"
300 ],
301 "requestAvailable": true,
302 "exactPlacement": "string",
303 "requestType": "string",
304 "closeDate": "2019-08-24",
305 "requestFrom": "NFM"
306}